/*
 * platform.h
 *
 * Copyright (c) 2014-2015 Kirill Kryukov
 *
 * This file is a part of the Nucleotide Sequence Clusterizer source code,
 * and may only be used, modified, and distributed under the terms of the
 * license, located in the file LICENSE.txt within this package.
 */

#ifndef CLUSTERIZER_PLATFORM_H
#define CLUSTERIZER_PLATFORM_H

#ifndef DEBUG
#define NDEBUG
#endif

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <strings.h>
#include <math.h>
#include <getopt.h>
#include <ctype.h>
#include <limits.h>
#include <errno.h>
#include <assert.h>

#if defined(__BORLANDC__) || defined(_MSC_VER)

#define strcasecmp stricmp
#define PRINT_SIZE_T "Iu"

#else

#define _FILE_OFFSET_BITS 64
#define PRINT_SIZE_T "zu"

#endif

#endif
